# \Query\Drivers\FirebirdResult

Firebird result class to emulate PDOStatement Class - only implements data-fetching methods

## Summary

Methods
Properties
Constants
__construct()
bindColumn()
bindParam()
bindValue()
execute()
fetch()
fetchAll()
fetchColumn()
fetchObject()
rowCount()
errorCode()
errorInfo()
No public properties found
No constants found
No protected methods found
No protected properties found
N/A
No private methods found
$statement
$row
$result
$db
N/A

File
  Query/Drivers/Firebird/Result.php
Package
  Query\Drivers
Class hierarchy
  \PDOStatement
  \Query\Drivers\Firebird\Result
Implements
  \Query\Drivers\PDOStatementInterface

## Tags

None found

## Properties

### $statement

    $statement : resource

Reference to fbird resource

#### Type

resource

#

## Tags

None found

### $row

    $row : integer

Current row in result array

#### Type

integer

#

## Tags

None found

### $result

    $result : mixed

Data pulled from query

#### Type

mixed

#

## Tags

None found

### $db

    $db : \Query\Drivers\Firebird\Driver

Reference to the db drive to de-duplicate error functions

#### Type

\Query\Drivers\Firebird\Driver

#

## Tags

None found

## Methods

### __construct()

    __construct(resource  $link, \Query\Drivers\Firebird\Driver|null  $db = NULL)

Create the object by passing the resource for the query

#### Parameters

resource | $link |
\Query\Drivers\Firebird\Driver|null | $db |

#

## Tags

None found

### bindColumn()

    bindColumn(mixed  $column, mixed  $param, integer  $type = NULL, mixed  $maxlen = NULL, array  $driverdata = NULL) : NULL

Invalidate method for data consistency

#### Parameters

mixed | $column | Number or name of the column in the result set
mixed | $param | Name of the PHP variable to which the column will be bound
integer | $type | Data type of the parameter, specified by the PDO::PARAM_* constants
mixed | $maxlen | A hint for pre-allocation
array | $driverdata | Optional parameter(s) for the driver

#### Returns

NULL

#

## Tags

None found

### bindParam()

    bindParam(mixed  $parameter, mixed  $variable, integer  $dataType = NULL, mixed  $maxlen = NULL, array  $driverdata = NULL) : NULL

Invalidate method for data consistency

#### Parameters

mixed | $parameter | Parameter identifier. For a prepared statement using named placeholders, this will be a parameter name of the form :name. For a prepared statement using question mark placeholders, this will be the 1-indexed position of the parameter.
mixed | $variable | Name of the PHP variable to bind to the SQL statement parameter.
integer | $dataType | Explicit data type for the parameter using the PDO::PARAM_* constants. To return an INOUT parameter from a stored procedure, use the bitwise OR operator to set the PDO::PARAM_INPUT_OUTPUT bits for the data_type parameter.
mixed | $maxlen |
array | $driverdata |

#### Returns

NULL

#

## Tags

None found

### bindValue()

    bindValue(mixed  $parameter, mixed  $variable, integer  $dataType = NULL) : NULL

Invalidate method for data consistency

#### Parameters

mixed | $parameter | Parameter identifier. For a prepared statement using named placeholders, this will be a parameter name of the form :name. For a prepared statement using question mark placeholders, this will be the 1-indexed position of the parameter.
mixed | $variable |
integer | $dataType | Explicit data type for the parameter using the PDO::PARAM_* constants.

#### Returns

NULL

#

## Tags

None found

### execute()

    execute(array  $boundInputParams = NULL) : \Query\Drivers\Firebird\Result

Run a prepared statement query

#### Parameters

array | $boundInputParams |

#### Returns

\Query\Drivers\Firebird\Result

#

## Tags

None found

### fetch()

    fetch(integer  $fetchStyle = \PDO::FETCH_ASSOC, mixed  $cursorOrientation = \PDO::FETCH_ORI_NEXT, mixed  $cursorOffset = NULL) : mixed

Emulate PDO fetch public function

#### Parameters

integer | $fetchStyle |
mixed | $cursorOrientation |
mixed | $cursorOffset |

#### Returns

mixed

#

## Tags

None found

### fetchAll()

    fetchAll(integer  $fetchStyle = \PDO::FETCH_ASSOC, mixed  $statement = NULL, mixed  $ctorArgs = NULL) : mixed

Emulate PDO fetchAll public function

#### Parameters

integer | $fetchStyle |
mixed | $statement |
mixed | $ctorArgs |

#### Returns

mixed

#

## Tags

None found

### fetchColumn()

    fetchColumn(integer  $columnNum) : mixed

Emulate PDOStatement::fetchColumn

#### Parameters

integer | $columnNum |

#### Returns

mixed

#

## Tags

None found

### fetchObject()

    fetchObject(string  $className = 'stdClass', array|null  $ctorArgs = NULL) : object

Emulate PDOStatement::fetchObject, but only for the default use

#### Parameters

string | $className |
array|null | $ctorArgs |

#### Returns

object

#

## Tags

None found

### rowCount()

    rowCount() : integer

Return the number of rows affected by the previous query

#### Returns

integer

#

## Tags

None found

### errorCode()

    errorCode() : string

Method to emulate PDOStatement->errorCode

#### Returns

string

#

## Tags

None found

### errorInfo()

    errorInfo() : array

Method to emulate PDO->errorInfo / PDOStatement->errorInfo

#### Returns

array

#

## Tags

None found

### Result.php